-- $Id: Constants.lua 15 2017-05-05 06:16:06Z arith $
-- ----------------------------------------------------------------------------
-- Localized Lua globals.
-- ----------------------------------------------------------------------------
-- Functions
local _G = getfenv(0);
-- Libraries
-- ----------------------------------------------------------------------------
-- AddOn namespace.
-- ----------------------------------------------------------------------------
local FOLDER_NAME, private = ...
private.addon_name = "AtlasLoot Button"

local LibStub = _G.LibStub
local constants = {}
private.constants = constants

constants.defaults = {
	profile = {
		show_button = true,
		show_tooltip = true,
		scale = 1,
		moving_fadeout = true,
		moving_alpha = 0.3,
		disableDraggingInCombat = false,
	},
};

constants.events = {
	"ADDON_LOADED",
	"PLAYER_ENTERING_WORLD",
	"PLAYER_LEAVING_WORLD",
	"PLAYER_LOGIN",
	"PLAYER_REGEN_ENABLED",
	"PLAYER_REGEN_DISABLED",
	"PLAYER_STARTED_MOVING",
	"PLAYER_STOPPED_MOVING",
};
